Bug 1329272 - Could not find artifact org.gradle:gradle-base-services:jar:2.8 in mizdebsk-redhat (http://people.redhat.com/~mizdebsk/xmvn/repo/)
Summary: Could not find artifact org.gradle:gradle-base-services:jar:2.8 in mizdebsk-r...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmvn
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-21 13:38 UTC by Matthias Mailänder
Modified: 2017-09-12 06:32 UTC (History)
4 users (show)

Fixed In Version: 3.0.0-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 06:32:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthias Mailänder 2016-04-21 13:38:58 UTC
Description of problem:
I tried to build xmvn locally on openSUSE Tumbleweed.

Version-Release number of selected component (if applicable):
xmvn-2.5.0

Steps to Reproduce:
mvn -B clean install

[...]

[INFO] XMvn Connector for Gradle .......................... FAILURE [  5.718 s]

[...]

[ERROR] Failed to execute goal on project xmvn-connector-gradle: Could not resolve dependencies for project org.fedoraproject.xmvn:xmvn-connector-gradle:jar:2.5.0: The following artifacts could not be resolved: org.gradle:gradle-base-services:jar:2.8, org.gradle:gradle-base-services-groovy:jar:2.8, org.gradle:gradle-core:jar:2.8, org.gradle:gradle-dependency-management:jar:2.8, org.gradle:gradle-resources:jar:2.8: Could not find artifact org.gradle:gradle-base-services:jar:2.8 in mizdebsk-redhat (http://people.redhat.com/~mizdebsk/xmvn/repo/) -> [Help 1]

Comment 1 Mikolaj Izdebski 2016-04-25 07:57:38 UTC
The underlying problem is that Gradle libraries are not available in Maven Central nor any other Maven repo - I had to deploy them to private repo on people.redhat.com.

I'm planning to split Gradle connector to a separate project, which would allow not only building XMvn without custom repos, but also deploying it to Maven Central.

As a workaround you can use the following script to install Gradle into local repository: https://gist.github.com/mizdebsk/27b40b4686f4a956b934c63cee232855

Comment 2 Jan Kurik 2016-07-26 04:46:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Mikolaj Izdebski 2017-09-12 06:32:24 UTC
I believe that this bug is fixed in xmvn-3.0.0-6,
which is available in Fedora 27, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=937435

This bug was fixed in the next release of Fedora, and it is currently
not planned to be fixed in the release it was filed against.
You can update to the newer release of Fedora to get the fix.


Note You need to log in before you can comment on or make changes to this bug.